#include <stdio.h>
#include <stdlib.h>

int absum(int a, int b){
  int x = a+b;
  if(x > 0)
    return x;
  return -x;

}

int main(void) {
  long long int s = 0;
  int* ljudi;
  int n,m;
  int x,y;

  scanf("%d%d",&n,&m);
  ljudi = (int*)malloc(n*sizeof(int));

  for(int i = 0; i<n; i++)
    scanf("%d",&ljudi[i]);
  
  for(int i = 0; i<m; i++){
    scanf("%d%d",&x,&y);
    x--; y--;
    s+= absum(ljudi[x],ljudi[y]); 
  }

  printf("%lld",s);

  return 0;
}